{% extends "base.html" %}
{% block title %}Accueil{% endblock %}
{% block scripts %}
  <script type="text/javascript" src="{{ url_for('static', filename='jquery-3.3.1.min.js') }}"></script>
  <script type="text/javascript" src="{{ url_for('static', filename='mqttws31.js') }}"></script>
{% endblock %}
{% block content %}
  <br/>
  <div class="row">
	 {% if g.cards != None -%}
	 {% for crd in g.cards -%}
    <div class="col s12 m6 l3 ">
	  <div class="card enezgrcard" onclick="location.href='{{ url_for('graph', id=crd[0] ) }}'">
	    <div class="card-content" style="background-color: {{ (crd[1]['backColor'] or '#E2B8E9') }}">
		  <span class="card-title">
		    {{ crd[1]['title'] }}
		  </span>
		</div>	
		<div class="card-content" style="background-color: {{ (crd[1]['backColor'] or '#E2B8E9') }}">
			{%- if crd[1]['data'][1] %}
			-
			{%- else -%}
			<span id='{{ crd[1]['data'][0]['stream'] }}{{ crd[1]['data'][0]['dispElem'] }}{{ crd[0] }}' style="font-weight: 900"></span>&nbsp;{{ crd[1]['data'][0]['unit'].replace("_", " ") }} 
			{%- endif -%}
			<!--
			{%- if crd[1]['data'][1] %}
			&nbsp;-&nbsp;
			<span id='{{ crd[1]['data'][1]['stream'] }}{{ crd[1]['data'][1]['elem'] }}{{ crd[0] }}' style="font-weight: 900"></span>&nbsp;{{ crd[1]['data'][1]['unit'].replace("_", " ") }} 
			{%- endif -%}
			-->
		</div>
	  </div>
    </div>
   {% endfor -%}
   {% endif -%}
  </div>
  <script>
	mqBrokers = {
	 {%- for m in g.mqs %}	
	 {%- if g.settings['mqtt'] == 'auto' %}
	 "{{ m[0] }}": {"broker": "{{ request.host.split(':')[0] }}", "port": {{m[1]['socketport']}} },
   {%- else %}
	 "{{ m[0] }}": {"broker": "{{m[1]['broker']}}", "port": {{m[1]['socketport']}} },
	 {%- endif %}
	 {%- endfor %}
	};
	mqFlux = {
	 {%- if g.flux != None %}
	 {%- for flu in g.flux %}
	  "{{ flu }}": {"broker":"default", "topic":"{{g.flux[flu]['topic']}}" }, 
	 {%- endfor %}
   {%- endif %}
	};
	mqDisp = {
	 {%- if g.cards != None %}
	 {%- for crd in g.cards %}
	  "{{ crd[1]['data'][0]['stream'] }}{{ crd[1]['data'][0]['dispElem'] }}{{ crd[0] }}": {"flux":"{{ crd[1]['data'][0]['stream'] }}", "elem":"{{ crd[1]['data'][0]['elem'] }}", "dispElem":"{{ crd[1]['data'][0]['dispElem'] }}", "dec":{{ crd[1]['data'][0]['dec'] }}},
		{%- if crd[1]['data'][1] %}
	  "{{ crd[1]['data'][1]['stream'] }}{{ crd[1]['data'][1]['dispElem'] }}{{ crd[0] }}": {"flux":"{{ crd[1]['data'][1]['stream'] }}", "elem":"{{ crd[1]['data'][1]['elem'] }}", "dispElem":"{{ crd[1]['data'][0]['dispElem'] }}", "dec":{{ crd[1]['data'][1]['dec'] }}},
		{%- endif -%}
	 {%- endfor %}
   {%- endif %}
	};
  </script>
  <script type="text/javascript" src="{{ url_for('static', filename='mqtt.js') }}"></script>
{% endblock %}
